Minimised applications show briefly before lock and after unlock (again)

Bug #1312107 reported by Thomas N on 2014-04-24
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Low
Andrea Azzarone
7.2
Fix Released
Low
Andrea Azzarone
unity (Ubuntu)
Low
Andrea Azzarone
Trusty
Undecided
Unassigned

Bug Description

[Impact]
With the new locking scheme in unity7, minimized applications appear briefly after unlocking
Here is a video showing the problem: https://www.dropbox.com/s/ai5r2krtgbo93im/2014-04-24%2009.51.52.mp4

[Test case]
1. Open some applications (in my case psensor and steam)
2. Minimize them
3. Press CTRL+ALT+L or Super+L to lock the screen
The minimized windows should never briefly popup before the screen locks.

4. Unlock screen
The minimized windows should never re-appear and then re-minimize.

The minimized applications must stay minimised through the lock/unlock process.

[Regression Potential]
Nothing known

There is another bug about this but it is marked as fixed.. so I guess the problem wasn't fixed after all? #1291402

ProblemType: BugDistroRelease: Ubuntu 14.04
Package: unity 7.2.0+14.04.20140416-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Thu Apr 24 12:41:24 2014
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
EcryptfsInUse: Yes
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:21cf]
InstallationDate: Installed on 2014-03-26 (28 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Beta amd64 (20140325.1)
MachineType: LENOVO 42433ZG
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic root=UUID=c3c7f36f-ca42-443e-819f-5553fe3d040a ro quiet splash vt.handoff=7SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/26/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: 8AET64WW (1.44 )
dmi.board.asset.tag: Not Available
dmi.board.name: 42433ZG
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8AET64WW(1.44):bd07/26/2013:svnLENOVO:pn42433ZG:pvrThinkPadT520:rvnLENOVO:rn42433ZG:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 42433ZG
dmi.product.version: ThinkPad T520
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.11+14.04.20140409-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.0-4ubuntu5
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.0-4ubuntu5
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Tue Apr 15 12:18:55 2014
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 1415
 vendor SAM
xserver.version: 2:1.15.1-0ubuntu1

Related branches

Changed in unity (Ubuntu):
importance: Undecided → Low
tags: added: lockscreen
Changed in unity:
importance: Undecided → Low
Andrea Azzarone (azzar1) on 2014-04-24
Changed in unity:
assignee: nobody → Andrea Azzarone (andyrock)
Changed in unity (Ubuntu):
assignee: nobody → Andrea Azzarone (andyrock)
Changed in unity:
status: New → Triaged
Changed in unity (Ubuntu):
status: New → Confirmed

Can you still experience this? As I can't right now.

Yes, can reproduce it every time.

Noticed that I see the minimized windows also when I lock the screen, not only when unlocking.

Andrea Azzarone (azzar1) on 2014-05-20
Changed in unity:
milestone: none → 7.2.1
Andrea Azzarone (azzar1) on 2014-05-20
Changed in unity:
status: Triaged → In Progress
Changed in unity (Ubuntu):
status: Confirmed → In Progress
Stephen M. Webb (bregma) on 2014-06-04
Changed in unity:
milestone: 7.2.1 → 7.2.2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.3.0+14.10.20140619-0ubuntu1

---------------
unity (7.3.0+14.10.20140619-0ubuntu1) utopic; urgency=low

  [ Stephen M. Webb ]
  * bump upstream to 7.3.0

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Andrea Azzarone ]
  * Remove cross fade effect during lock/unlocking. A simple fading
    works just fine. (LP: #1312107)
  * Manually emit nux::Area::geometry_changed beucase nux can fail to
    emit it. (LP: #1292391)

  [ Marco Trevisan (Treviño) ]
  * {Panel,Decoration}Style: don't call deprecated
    gtk_style_context_invalidate function in gtk >= 3.11
  * PluginAdapter: pass the state to compiz plugins activations Fixes
    Scale triggering on DnD (LP: #1328615)
  * LockScreenAcceleratorController: do ther configured action on power
    special keys press We finally can suspend, shutdown, hibernate or
    start the screensaver when the screen is locked, using the Suspend,
    Sleep, Hibernate and PowerOff hardware keys. Also the Shutdown
    dialog doesn't allow now to lock the session if it is not allowed by
    settings. (LP: #1306211)
 -- Ubuntu daily release <email address hidden> Thu, 19 Jun 2014 18:41:55 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Changed in unity:
milestone: 7.2.2 → 7.2.3
Changed in unity:
milestone: 7.2.3 → 7.3.2
milestone: 7.3.2 → 7.3.1
Changed in unity:
status: In Progress → Fix Committed
Changed in unity:
milestone: 7.3.1 → 7.3.0
Changed in unity:
milestone: 7.3.0 → 7.3.1
description: updated

unity_7.2.3+14.04.20140826-0ubuntu1.debdiff

Hello Thomas, or anyone else affected,

Accepted unity into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/7.2.3+14.04.20140826-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package unity - 7.2.3+14.04.20140826-0ubuntu1

---------------
unity (7.2.3+14.04.20140826-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Remove cross fade effect during lock/unlocking. A simple fading
    works just fine. (LP: #1312107)
  * Manually emit nux::Area::geometry_changed beucase nux can fail to
    emit it. (LP: #1292391)

  [ Pawel Szubert ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: do ther configured action on power
    special keys press. We finally can suspend, shutdown, hibernate or
    start the screensaver when the screen is locked, using the Suspend,
    Sleep, Hibernate and PowerOff hardware keys. Also the Shutdown
    dialog doesn't allow now to lock the session if it is not allowed by
    settings. (LP: #1306211) (LP: #1320051) (LP: #1320071)
  * Previews: scale the dash preview contents to match current monitor
    scaling. Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)
  * FilterWidgets: add support for scaling (LP: #1340171)
  * OverlayRendering: correctly scale the overlays borders and edges to
    match settings. DashStyle has been modified to return smart pointers
    of textures that are loaded depending on the scale level. The cache
    will make sure that we don't duplicate the textures and that they
    get removed when not needed anymore. Also thanks to this the
    SearchBarSpinner textures (and the other spinners as well) uses the
    SVGs scaled at the proper size (I desgined a new SVG for the
    magnifier, as we only had a PNG). (LP: #1283415) (LP: #1340394)
  * Hud: scale to match current DPI settings for monitor. (LP: #1340477)

  [ Eleni Maria Stea ]
  * Previews: scale the dash preview contents to match current monitor
    scaling. Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)

  [ Stephen M. Webb ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

  [ Chris Townsend ]
  * Bump version to 7.2.3.

unity (7.2.2+14.04.20140714-0ubuntu2) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Remove cross fade effect during lock/unlocking. A simple fading
    works just fine. (LP: #1312107)
  * Manually emit nux::Area::geometry_changed beucase nux can fail to
    emit it. (LP: #1292391)
  * TextInput: use GdkKeymap to check the caps-lock status (LP: #1347735)

  [ Pawel Szubert ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: do ther configured action on power
    special keys press. We finally can suspend, shutdown, hibernate or
    start the screensaver when the screen is locked, using the Suspend,
    Sleep, Hibernate and PowerOff hardware keys. Also the Shutdown
    dialog doesn't allow now to lock the session if it is not allowed by
    settings. (LP: #1306211) (LP: #1320051) (LP: #1320071)
  * Previews: scale the dash preview contents to match current monitor
    scaling. Improved also the scaling of...

Read more...

Changed in unity (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Stephen M. Webb (bregma) on 2015-02-11
Changed in unity:
status: Fix Committed → Fix Released
To post a comment you must log in.